Bug 1248 - Drag-and-drop requires an excessive number of confirmation dialogs
: Drag-and-drop requires an excessive number of confirmation dialogs
Status: RESOLVED FIXED
Product: Utilities
File manager
: unspecified
: All All
: Low enhancement (vote)
: Harmattan
Assigned To: unassigned
: file-manager-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-23 22:18 UTC by Sean Luke
Modified: 2008-12-23 15:36 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Sean Luke (reporter) 2007-04-23 22:18:00 UTC
Most drag-and-drop operations in maemo are trivially reversable.  However maemo
application still tend 
to require confirmation of these operations, unlike most other operating
systems (including handheld 
operating systems), resulting in twice as many pen interactions to perform a
simple operation.

The reason for this is likely that many maemo applications (inappropriately)
don't have Undo, and the 
developers are being overly cautious, even when it starts making them look
foolish.  See http://
cs.gmu.edu/~sean/stuff/n800/ for concrete examples.

Solution: eliminate most pen-drag verification dialogs except for ones which
cannot be undone.
Comment 1 Roope Rainisto nokia 2007-05-08 11:01:33 UTC
Hi. Yes, you have the reasoning right. In general we have confirmations because
we don't currently have properly reversible applications. 

I/We agree with the principle, but ... Let's say it this way: as soon as the SW
allows and provides better undo capabilities for the UI, we will try to
eliminate needless confirmations for such actions. 

I just wish adding Undo functionality to certain applications would be as
trivial as you make it sound. :)
Comment 2 Sean Luke (reporter) 2007-05-08 17:50:16 UTC
> I/We agree with the principle, but ... Let's say it this way: as soon as the SW
> allows and provides better undo capabilities for the UI, we will try to
> eliminate needless confirmations for such actions. 
>
> I just wish adding Undo functionality to certain applications would be as
> trivial as you make it sound. :)

I believe you may have misunderstood me.  I fully realize the complexities of
implementing an undo/redo stack.  By "trivially reversable", I meant trivially
reversable by the *user*.  If I drag a file from one folder to another, this is
trivially reversable -- I just drag it back.  It's the non-reversable
("write-only") operations which definitely require a confirmation dialog. 
Easily user-reversable operations shouldn't have confirmation dialogs -- they
just irritate us by considerably slowing down our cognitive operations on the
device.

I realize that you may wish to require the user to realize he's done something
in case he did it wrong.  I think that on a device as small as the N800, with
as few folders as it has (for example), such confirmation is of vanishingly
small utility.  But if you want to really let the user know he did something
that he may not have realized, pop up a notification to that effect (though
that would be irritating too -- just not as irritating as a "notification"
which requires you to confirm by pressing a button!).
Comment 3 Roope Rainisto nokia 2007-05-09 09:47:51 UTC
Yes, but even dragging a file isn't trivially reversible. 

It is, if you drag to another folder inside the same device. But if it's device
-> memory card, device -> bluetooth device, device -> upnp device etc., then
it's not true anymore. 

Still, I do agree with the principle.
Comment 4 Jake Kunnari 2007-08-21 12:03:35 UTC
Re-assigned to correct person.
Comment 5 Roope Rainisto nokia 2007-08-21 12:05:45 UTC
Umm... Well, I'll assign this, but once again, this bug is hard to set as
"fixed", since it's so general.
Comment 6 timeless 2007-09-02 00:43:25 UTC
erm. bugs like this are bad.

reporter: pick a single component, or if you don't, one will be picked for you.

bugzilla's goal in life is to track fixing discreet bugs. if you want to
discuss things, you can use a mailinglist.
Comment 7 Quim Gil nokia 2008-12-23 15:30:29 UTC
Roope, any updates on this for Fremantle/Harmattan?
Comment 8 Roope Rainisto nokia 2008-12-23 15:33:42 UTC
The bug report is unfortunately fairly vague. On some terms this is about File
manager - which will be improved in Fremantle - on other terms this is about
having too many confirmation dialogs in general. That too will also be improved
somewhat, but not up to any ideal level.

So for a proper change, I'd say Harmattan...
Comment 9 Quim Gil nokia 2008-12-23 15:36:54 UTC
Ok, for what I have seen in the Fremanle implementation and the Harmattan
plans, I agree with Roope. 

I also agree in the fact that this is a vague request. Forgive me for a
consequent vague resolution: FIXED in Harmattan.

Feel free to open new enhancement requests against specific products or
components and we will be able to provide more concrete answers as well.

Thank you for your understanding.